Page MenuHomePhabricator

[CodeComplete] Penalize inherited ObjC properties for auto-completion
ClosedPublic

Authored by dgoldman on Oct 30 2018, 2:24 PM.

Details

Summary

Similar to auto-completion for ObjC methods, inherited properties
should be penalized / direct class and category properties should
be prioritized.

Note that currently, the penalty for using a result from a base class
(CCD_InBaseClass) is equal to the penalty for using a method as a
property (CCD_MethodAsProperty).

Diff Detail

Event Timeline

dgoldman created this revision.Oct 30 2018, 2:24 PM
sammccall accepted this revision.Oct 31 2018, 1:57 AM

Looks sane to me, you might want someone more familiar with ObjC to verify though.

This revision is now accepted and ready to land.Oct 31 2018, 1:57 AM

Since I don't have commit access, sammccall will land this

As mentioned offline - sounds like someone from Apple might take a look.
If not, ping me again to land!

(Sorry for the delay)

This looks reasonable to me but asked people with more context to take a look.

akyrtzi accepted this revision.Nov 15 2018, 10:12 AM
This revision was automatically updated to reflect the committed changes.